Page MenuHomePhabricator

Display alien node changes in visual diff
Closed, ResolvedPublic1 Story Points

Description

In T187613 the visual diff doesn't show the change in the alienated content inside the blockquote. Where there is a difference, we could at least show the old content removed and the new content inserted, even if visual editor doesn't understand exactly what the change is.

Event Timeline

Tchanders created this task.Mar 3 2018, 6:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2018, 6:17 PM
Schnark added a subscriber: Schnark.Mar 5 2018, 8:11 AM
Deskana triaged this task as Normal priority.Mar 6 2018, 7:55 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Deskana set the point value for this task to 1.

Change 418604 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] Diff original dom elements for alien node

https://gerrit.wikimedia.org/r/418604

Tchanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Tchanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 418604 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Diff original dom elements for alien node

https://gerrit.wikimedia.org/r/418604

Change 421109 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (52b59d337)

https://gerrit.wikimedia.org/r/421109

Change 421109 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (52b59d337)

https://gerrit.wikimedia.org/r/421109

Deskana closed this task as Resolved.Mar 26 2018, 4:16 PM